Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftHRFSpecReader

    java.lang.Object
      com.stc.swift.builder.SwiftHRFReader
          com.stc.swift.builder.SwiftHRFSpecReader

All Implemented Interfaces:
  SwiftReader

    public class SwiftHRFSpecReader

extends SwiftHRFReader

Read in a text file as a stream of charactors, check the following: (1) it is a HTML (start with with NAME="PARTTITLE" and CONTENT="MT Format Specifications" -- where is the number of the message type, e.g. 101, 541, etc. (3) further look for

tag and processing all the
s and s to extract format spec information after a file is parsed, numerous flags are set indicating if the parsed file is a HRF, if yes, it will produce a HRF object which contains necessary information to either: (1) generate the corresponding extract file or (2) generate the OTD
Constructor Summary
`SwiftHRFSpecReader(java.util.Hashtable mapping, SwiftHRFHeuristics rules)`
`SwiftHRFSpecReader(SwiftHRFHeuristics rules)`
Method Summary
`java.lang.String` | `getEdition()`
`java.util.Hashtable` | `getMappingTable()`
`SwiftMetadata` | `getMetadata()` return the root object of the parsed object hierarchy;
`java.lang.String` | `getMTNumber()`
`boolean` | `isDeleted()` if the parsed spec is deleted spec for example MT100 is deleted in 2003
`void` | `parse(java.io.File input)` parse the html file `input`
`void` | `setMapping(java.util.Hashtable mapping)`
`void` | `setMappingTable(java.util.Hashtable mapping)`
`void` | `setMTList(java.util.Hashtable l)` set the list of MTs to be parsed - others are skipped
Methods inherited from class com.stc.swift.builder.SwiftHRFReader
`filterOutTags, getDelimitedMultiValues, getDelimitedMultiValues, parseFormatSection, readNextElement, readNextElement, readTagWithValue, readUtil, readUtil, readUtil, readUtil`
Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Constructor Detail
### SwiftHRFSpecReader
    public SwiftHRFSpecReader(SwiftHRFHeuristics rules)
### SwiftHRFSpecReader
    public SwiftHRFSpecReader(java.util.Hashtable mapping,
                              SwiftHRFHeuristics rules)
Method Detail
### parse
    public void parse(java.io.File input)
               throws SwiftParsingException,
                      java.io.FileNotFoundException,
                      java.io.IOException
Description copied from interface: `SwiftReader` parse the html file `input` Specified by: `parse` in interface `SwiftReader` Specified by: `parse` in class `SwiftHRFReader` Throws: `SwiftParsingException` `java.io.FileNotFoundException` `java.io.IOException` ### getEdition
    public java.lang.String getEdition()
### getMTNumber
    public java.lang.String getMTNumber()
### isDeleted
    public boolean isDeleted()
if the parsed spec is deleted spec for example MT100 is deleted in 2003 Returns: ### getMetadata
    public SwiftMetadata getMetadata()
return the root object of the parsed object hierarchy; Returns: ### setMappingTable
    public void setMappingTable(java.util.Hashtable mapping)
### setMTList
    public void setMTList(java.util.Hashtable l)
set the list of MTs to be parsed - others are skipped Parameters: `l` - ### getMappingTable
    public java.util.Hashtable getMappingTable()
### setMapping
    public void setMapping(java.util.Hashtable mapping)
Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD
Copyright © 2008 Sun Microsystems, Inc. All rights reserved.